package.path = '/build/osmo-gsm-tester/src/osmo_ms_driver/lua/?.lua;' .. package.path
event = require('ms_support')
send = 1


function lu_test_mm_cb(new_state, new_substate, old_substate)
        if new_state == 19 and new_substate == 1 and send == 1 then
            send = 0
            event.send({lu_done=1})
        end
end

function mm_cb(new_state, new_substate, old_substate)
	lu_test_mm_cb(new_state, new_substate, old_substate)
end

local cbs = {
        Mm=mm_cb
}
osmo.ms():register(cbs)
osmo.ms().start()

event.register(osmo.ms():number(), "/tmp/ogteventserverskcy_e3ee9/osmo_ms_driver.unix")
